Bug 167564 - JJ: Disable wobbly windows when resizing, it looks too choppy
Summary: JJ: Disable wobbly windows when resizing, it looks too choppy
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: compositing (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-28 04:22 UTC by Rodney Gedda
Modified: 2009-01-24 01:26 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rodney Gedda 2008-07-28 04:22:07 UTC
Version:           4.1 RC 1 (using KDE 4.0.98)
Installed from:    Ubuntu Packages
OS:                Linux

When resizing windows with the Wobbly Windows desktop effect turned ON the resize motion (using the mouse/touchpad) is very choppy and doesn't look good at all.

The window is being "wobbled" during the resize, but the result is a really bad, choppy render.

During the motion the window also looks like it's flickering out of control as if something is a miss.

My "wobblyness" is set to about 75% on the scale. Try it for yourself and see.
Comment 1 lucas 2008-07-28 10:47:39 UTC
Should be an option to enable only during movement or resize. It's only choppy on drivers that have slow resizing, this would be a good work-around in the meantime.
Comment 2 lucas 2008-09-04 17:12:09 UTC
SVN commit 857060 by lmurray:

Setting to disable wobbly windows for resizes or moves separately.
BUG: 167564

 M  +5 -1      wobblywindows.cpp  
 M  +3 -0      wobblywindows.h  
 M  +13 -0     wobblywindows_config.cpp  
 M  +18 -12    wobblywindows_config.ui  


WebSVN link: http://websvn.kde.org/?view=rev&revision=857060
Comment 3 Thomas Weissel 2009-01-24 01:24:52 UTC
i am using 4.2 rc1 .. who says this is resolved?  it is not resolved! choppy as allways..  even with the newes nvidia drivers..
Comment 4 Thomas Weissel 2009-01-24 01:26:57 UTC
oh.. i see.. disabling while resizing should be the solution..  this is more like a workaround..  why not doing this like compiz?